#
# Copyright (C)2023 @BABOLO http://www.babolo.ru/
# pkg = lrwi
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: mapa.pleaf.m4,v 1.1 2023/04/16 19:40:31 babolo Exp $
#
#  

eval
#close   _0_00_
#style   00y00_
mapa
#perform 0002
CREATE TEMP TABLE p
     ( SQAT(sess) int
     , SQAT(ordr) int
     , SQAT(proj) int
     , SQAT(page) int
     , SQAT(pnam) text
     ) STRICT
;
#select  _00_
SELECT CINM(x).CIAT(sess), CINM(pnode).CIAT(p), CINM(pnode).CIAT(m), CINM(x).CIAT(s)
 FROM CINM(x), CINM(pnode)
 WHERE CINM(pnode).CIAT(v) == 'root'
;
#perform 0002
INSERT INTO p(SQAT(ordr), SQAT(proj), SQAT(pnam))
 SELECT SQNM(proj).SQAT(ordr) AS SQAT(ordr)
      , SQNM(proj).SQAT(proj) AS SQAT(proj)
      , SQNM(proj).SQAT(pnam) AS SQAT(pnam)
  FROM SQNM(proj)
  WHERE SQNM(proj).SQAT(proj) > 0
    AND SQNM(proj).SQAT(vizi)
;
#perform 00_2
UPDATE p SET SQAT(sess) = ?1, SQAT(page) = ?2 WHERE SQAT(pnam) == ?3;
#select  _002
SELECT p.CIAT(sess) AS sess, p.CIAT(page) AS page FROM p ORDER BY p.CIAT(ordr), p.CIAT(proj);
#display 00_00_
